Summary:	Java bindings for the libvirt virtualization API
Name:		libvirt-java
Version:	0.2.1
Release:	2%{?dist}
License:	LGPLv2+
Group:		Development/Libraries
Source:		http://libvirt.org/sources/java/libvirt-java-%{version}.tar.gz
URL:		http://libvirt.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	libvirt >= 0.4.1
Requires:	java >= 1.5.0
Requires:	jpackage-utils
BuildRequires:	libvirt-devel >= 0.4.1
BuildRequires:	java-devel >= 1.5.0
BuildRequires:	pkgconfig
BuildRequires:	jpackage-utils
Patch0:		libvirt-0.2.1-gcj-javadoc.patch

#
# the jpackage-utils should provide a %{java_home} macro
# to select a different Java JVM from the default one use the following
# rpmbuild --define 'java_home /usr/lib/jvm/your_jvm_of_choice'
#

%description
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language.
It requires libvirt >= 0.4.1

%package	devel
Summary:	Compressed Java source files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libvirt-devel >= 0.4.1
Requires:	pkgconfig

%description	devel
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language. This is the development part needed
to build applications with Libvirt-java.

%package	javadoc
Summary:	Java documentation for %{name}
Group:		Development/Documentation
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description	javadoc
API documentation for %{name}.
%prep
%setup -q
%patch0 -p0

%build
%configure --with-java-home=%{java_home}
# javac call is not parallelizable, as a result the same command is
# run N times in parallel if %{?_smp_mflags} is set up
make

# fix up the modification date of generated documentation
find doc -type f -newer ChangeLog | xargs touch -r ChangeLog

%install
rm -fr %{buildroot}

make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README INSTALL
%{_libdir}/libvirt_jni*.so.*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%doc src/*.java
%{_libdir}/libvirt_jni*.so
%{_libdir}/pkgconfig/*.pc

%files javadoc
%defattr(-,root,root)
/usr/share/javadoc/%{name}-%{version}

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Aug  8 2008 Daniel Veillard <veillard@redhat.com> - 0.2.1-1.fc10
- new release 0.2.1
- avoid leaks
- adds support for storage APIs

* Fri Jul 18 2008 Daniel Veillard <veillard@redhat.com> - 0.2.0-1.fc10
- new release 0.2.0
- finished cleanup of APIs

* Thu Jul  3 2008 Daniel Veillard <veillard@redhat.com> - 0.1.2-1
- new release 0.1.2

* Tue Jul  1 2008 Daniel Veillard <veillard@redhat.com> - 0.1.1-1
- new release 0.1.1

* Tue Jun 24 2008 Daniel Veillard <veillard@redhat.com> - 0.1.0-1
- created

